/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __EPILOGUE_TAILCALL_SKEL_H__
#define __EPILOGUE_TAILCALL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct epilogue_tailcall {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *epilogue_map;
		struct bpf_map *epilogue_tailcall;
		struct bpf_map *epilogue_subprog;
	} maps;
	struct {
		struct epilogue_tailcall__epilogue_tailcall__bpf_testmod_st_ops {
			struct bpf_program *test_prologue;
			struct bpf_program *test_epilogue;
			struct bpf_program *test_pro_epilogue;
			char __unsupported_3[8];
		} *epilogue_tailcall;
		struct epilogue_tailcall__epilogue_subprog__bpf_testmod_st_ops {
			struct bpf_program *test_prologue;
			struct bpf_program *test_epilogue;
			struct bpf_program *test_pro_epilogue;
			char __unsupported_3[8];
		} *epilogue_subprog;
	} struct_ops;
	struct {
		struct bpf_program *test_epilogue_subprog;
		struct bpf_program *test_epilogue_tailcall;
		struct bpf_program *syscall_epilogue_tailcall;
	} progs;
	struct {
		struct bpf_link *test_epilogue_subprog;
		struct bpf_link *test_epilogue_tailcall;
		struct bpf_link *syscall_epilogue_tailcall;
		struct bpf_link *epilogue_tailcall;
		struct bpf_link *epilogue_subprog;
	} links;

#ifdef __cplusplus
	static inline struct epilogue_tailcall *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct epilogue_tailcall *open_and_load();
	static inline int load(struct epilogue_tailcall *skel);
	static inline int attach(struct epilogue_tailcall *skel);
	static inline void detach(struct epilogue_tailcall *skel);
	static inline void destroy(struct epilogue_tailcall *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
epilogue_tailcall__destroy(struct epilogue_tailcall *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
epilogue_tailcall__create_skeleton(struct epilogue_tailcall *obj);

static inline struct epilogue_tailcall *
epilogue_tailcall__open_opts(const struct bpf_object_open_opts *opts)
{
	struct epilogue_tailcall *obj;
	int err;

	obj = (struct epilogue_tailcall *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = epilogue_tailcall__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.epilogue_tailcall = (__typeof__(obj->struct_ops.epilogue_tailcall))
		bpf_map__initial_value(obj->maps.epilogue_tailcall, NULL);

	obj->struct_ops.epilogue_subprog = (__typeof__(obj->struct_ops.epilogue_subprog))
		bpf_map__initial_value(obj->maps.epilogue_subprog, NULL);

	return obj;
err_out:
	epilogue_tailcall__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct epilogue_tailcall *
epilogue_tailcall__open(void)
{
	return epilogue_tailcall__open_opts(NULL);
}

static inline int
epilogue_tailcall__load(struct epilogue_tailcall *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct epilogue_tailcall *
epilogue_tailcall__open_and_load(void)
{
	struct epilogue_tailcall *obj;
	int err;

	obj = epilogue_tailcall__open();
	if (!obj)
		return NULL;
	err = epilogue_tailcall__load(obj);
	if (err) {
		epilogue_tailcall__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
epilogue_tailcall__attach(struct epilogue_tailcall *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
epilogue_tailcall__detach(struct epilogue_tailcall *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *epilogue_tailcall__elf_bytes(size_t *sz);

static inline int
epilogue_tailcall__create_skeleton(struct epilogue_tailcall *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "epilogue_tailcall";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "epilogue_map";
	map->map = &obj->maps.epilogue_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "epilogue_tailcall";
	map->map = &obj->maps.epilogue_tailcall;
	map->link = &obj->links.epilogue_tailcall;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "epilogue_subprog";
	map->map = &obj->maps.epilogue_subprog;
	map->link = &obj->links.epilogue_subprog;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_epilogue_subprog";
	s->progs[0].prog = &obj->progs.test_epilogue_subprog;
	s->progs[0].link = &obj->links.test_epilogue_subprog;

	s->progs[1].name = "test_epilogue_tailcall";
	s->progs[1].prog = &obj->progs.test_epilogue_tailcall;
	s->progs[1].link = &obj->links.test_epilogue_tailcall;

	s->progs[2].name = "syscall_epilogue_tailcall";
	s->progs[2].prog = &obj->progs.syscall_epilogue_tailcall;
	s->progs[2].link = &obj->links.syscall_epilogue_tailcall;

	s->data = epilogue_tailcall__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *epilogue_tailcall__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x40\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x11\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x65\
\x70\x69\x6c\x6f\x67\x75\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\
\x65\x5f\x74\x61\x69\x6c\x63\x61\x6c\x6c\0\x73\x79\x73\x63\x61\x6c\x6c\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x73\x74\x72\x75\x63\x74\
\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x74\
\x61\x69\x6c\x63\x61\x6c\x6c\x2e\x63\0\x73\x75\x62\x70\x72\x6f\x67\0\x74\x65\
\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\0\
\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x74\x61\x69\x6c\x63\
\x61\x6c\x6c\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x6d\x61\x70\0\x73\x79\x73\
\x63\x61\x6c\x6c\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x74\x61\x69\x6c\x63\
\x61\x6c\x6c\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\
\x5f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x74\x61\x69\x6c\x63\x61\x6c\
\x6c\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x2e\
\x72\x65\x6c\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\
\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x2e\x72\x65\
\x6c\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x65\x70\
\x69\x6c\x6f\x67\x75\x65\x5f\x74\x61\x69\x6c\x63\x61\x6c\x6c\0\x2e\x72\x65\x6c\
\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x72\x65\x6c\x2e\x6d\x61\x70\x73\0\x2e\x72\
\x65\x6c\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x81\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x95\x02\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9d\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x28\0\0\0\xb3\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\xca\x11\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\xd7\x12\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\0\0\0\xf1\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x10\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\x19\x11\0\0\x09\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x01\x2b\x11\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x20\x79\x01\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x7b\x10\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x79\x61\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\x79\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb4\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0c\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\
\x0a\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x0a\0\
\0\0\0\0\0\0\x20\0\0\0\x07\0\0\0\x02\0\0\0\0\0\0\0\x08\0\0\0\x08\0\0\0\x02\0\0\
\0\0\0\0\0\x28\0\0\0\x07\0\0\0\x02\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x03\x08\
\0\0\x03\x08\0\0\x03\x35\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\
\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\
\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\
\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x04\0\0\0\0\
\0\0\0\0\x04\0\0\x05\0\0\0\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\
\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x33\0\0\0\x07\0\0\0\xc0\0\0\0\
\x3e\0\0\0\x0b\0\0\x01\0\0\0\0\x45\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\0\0\x02\0\
\0\0\0\0\0\x0f\0\0\0\x52\x04\0\0\x01\0\0\0\x08\0\0\0\x5e\0\0\0\x10\0\0\0\0\0\0\
\0\x60\x08\0\0\0\0\0\0\x11\0\0\0\x64\x08\0\0\0\0\0\0\x12\0\0\0\x6a\x01\0\0\0\0\
\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x7d\0\0\0\x0e\0\0\0\x82\
\x0c\0\0\0\0\0\0\x13\0\0\0\0\x02\0\0\0\0\0\0\x12\0\0\0\0\x0d\0\0\x01\0\0\0\x02\
\0\0\0\x8a\0\0\0\x15\0\0\0\x8e\x0c\0\0\x01\0\0\0\x16\0\0\0\xa4\x0c\0\0\x01\0\0\
\0\x16\0\0\0\xbb\x0c\0\0\x01\0\0\0\x13\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\0\0\
\0\0\x0e\0\0\0\xd5\x0c\0\0\x02\0\0\0\x1a\0\0\0\xf4\x01\0\0\0\0\0\0\x01\x01\0\0\
\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x04\0\0\0\x04\0\0\0\xf9\x0e\0\0\
\0\0\0\0\x1d\0\0\0\x01\0\0\x01\x02\x04\0\0\x04\0\0\0\x20\0\0\x01\x15\0\0\0\x20\
\0\0\0\0\0\0\x01\x23\0\0\0\x20\0\0\0\x40\0\0\x01\x31\0\0\0\x20\0\0\0\x80\0\0\
\x01\x43\0\0\0\x21\0\0\0\xc0\0\0\0\0\x02\0\0\0\0\0\0\x1a\0\0\0\0\x02\0\0\0\0\0\
\0\x24\0\0\x01\x49\x0e\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\x01\x5b\x0e\0\0\0\0\0\0\
\x1f\0\0\0\x01\0\0\x01\x6c\x07\0\0\0\0\0\0\0\0\0\x02\xbe\x0f\0\0\x01\0\0\0\x04\
\0\0\0\x1e\0\0\0\0\0\0\0\x04\0\0\x02\xc6\x0f\0\0\x01\0\0\0\x28\0\0\0\x0d\0\0\0\
\0\0\0\0\x28\0\0\x02\xcc\x0f\0\0\x02\0\0\0\x40\0\0\0\x22\0\0\0\0\0\0\0\x20\0\0\
\0\x23\0\0\0\x20\0\0\0\x20\0\0\x02\xdd\x0f\0\0\x01\0\0\0\0\0\0\0\x1b\0\0\0\0\0\
\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\
\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\
\x7a\x65\0\x76\x61\x6c\x75\x65\x73\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x6d\
\x61\x70\0\x73\x74\x5f\x6f\x70\x73\x5f\x61\x72\x67\x73\0\x61\0\x75\x36\x34\0\
\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x61\x72\x67\x73\0\x73\x75\x62\x70\x72\x6f\x67\0\x63\x74\x78\
\0\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x73\x75\x62\x70\x72\
\x6f\x67\0\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x74\x61\x69\
\x6c\x63\x61\x6c\x6c\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\x65\x70\x69\x6c\x6f\x67\
\x75\x65\x5f\x74\x61\x69\x6c\x63\x61\x6c\x6c\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\
\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\
\x67\x75\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\
\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x74\x5f\x6f\x70\x73\0\x74\x65\x73\x74\
\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\
\x67\x75\x65\0\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\
\x65\0\x6f\x77\x6e\x65\x72\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x74\x61\x69\
\x6c\x63\x61\x6c\x6c\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x73\x75\x62\x70\x72\
\x6f\x67\0\x6d\x6f\x64\x75\x6c\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x37\x34\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\
\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x37\x34\x2e\x65\x6c\x31\x30\x2e\x73\x33\
\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x74\x61\x69\x6c\x63\x61\x6c\x6c\x2e\x63\0\
\x09\x61\x72\x67\x73\x2d\x3e\x61\x20\x2b\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x61\x72\x67\x73\x2d\x3e\x61\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\
\x73\x75\x62\x70\x72\x6f\x67\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x73\x74\x5f\
\x6f\x70\x73\x5f\x61\x72\x67\x73\x20\x2a\x61\x72\x67\x73\x29\0\x09\x73\x75\x62\
\x70\x72\x6f\x67\x28\x61\x72\x67\x73\x29\x3b\0\x09\x62\x70\x66\x5f\x74\x61\x69\
\x6c\x5f\x63\x61\x6c\x6c\x28\x63\x74\x78\x2c\x20\x26\x65\x70\x69\x6c\x6f\x67\
\x75\x65\x5f\x6d\x61\x70\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x30\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\
\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\
\x75\x65\x28\x61\x72\x67\x73\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\
\x61\x70\x73\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\
\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x73\x74\x72\x75\x63\x74\x5f\
\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x73\
\x75\x62\x70\x72\x6f\x67\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\
\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x74\x61\x69\x6c\x63\x61\x6c\
\x6c\0\x73\x79\x73\x63\x61\x6c\x6c\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\
\0\x44\0\0\0\x44\0\0\0\xc4\0\0\x01\x08\0\0\0\0\0\0\0\x08\0\0\x02\xe4\0\0\0\x01\
\0\0\0\0\0\0\0\x14\0\0\x02\xea\0\0\0\x01\0\0\0\0\0\0\0\x17\0\0\x03\x0b\0\0\0\
\x01\0\0\0\0\0\0\0\x18\0\0\x03\x2d\0\0\0\x01\0\0\0\0\0\0\0\x19\0\0\0\x10\0\0\
\x02\xe4\0\0\0\x02\0\0\0\0\0\0\x01\x73\0\0\x01\xf0\0\0\x38\x0a\0\0\0\x18\0\0\
\x01\x73\0\0\x01\xff\0\0\x3c\x02\0\0\x02\xea\0\0\0\x04\0\0\0\0\0\0\x01\x73\0\0\
\x02\x10\0\0\x4c\x05\0\0\0\x08\0\0\x01\x73\0\0\x02\x4e\0\0\x54\x02\0\0\0\x18\0\
\0\x01\x73\0\0\x01\xff\0\0\x58\x0f\0\0\0\x20\0\0\x01\x73\0\0\x02\x10\0\0\x4c\
\x05\0\0\x03\x0b\0\0\0\x02\0\0\0\0\0\0\x01\x73\0\0\x02\x5e\0\0\xa0\x02\0\0\0\
\x20\0\0\x01\x73\0\0\x02\x85\0\0\xa4\x02\0\0\x03\x2d\0\0\0\x02\0\0\0\0\0\0\x01\
\x73\0\0\x02\x90\0\0\xe4\x09\0\0\0\x08\0\0\x01\x73\0\0\x02\x90\0\0\xe4\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\xc0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x01\x68\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\x68\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\x88\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x38\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xb0\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xe0\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xf0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\xf8\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\x20\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\x01\x3c\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x60\
\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x01\x61\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x70\0\0\0\
\0\0\0\0\x10\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\
\x87\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x80\0\0\0\0\0\
\0\0\x10\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x93\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x90\0\0\0\0\0\0\0\
\x10\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x9d\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xa0\0\0\0\0\0\0\0\x20\0\
\0\0\x02\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xb2\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xc0\0\0\0\0\0\0\x06\x55\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\xb7\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x18\0\0\0\0\0\0\x01\x28\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct epilogue_tailcall *epilogue_tailcall::open(const struct bpf_object_open_opts *opts) { return epilogue_tailcall__open_opts(opts); }
struct epilogue_tailcall *epilogue_tailcall::open_and_load() { return epilogue_tailcall__open_and_load(); }
int epilogue_tailcall::load(struct epilogue_tailcall *skel) { return epilogue_tailcall__load(skel); }
int epilogue_tailcall::attach(struct epilogue_tailcall *skel) { return epilogue_tailcall__attach(skel); }
void epilogue_tailcall::detach(struct epilogue_tailcall *skel) { epilogue_tailcall__detach(skel); }
void epilogue_tailcall::destroy(struct epilogue_tailcall *skel) { epilogue_tailcall__destroy(skel); }
const void *epilogue_tailcall::elf_bytes(size_t *sz) { return epilogue_tailcall__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
epilogue_tailcall__assert(struct epilogue_tailcall *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __EPILOGUE_TAILCALL_SKEL_H__ */
