/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SOCKMAP_PASS_PROG_SKEL_H__
#define __TEST_SOCKMAP_PASS_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_sockmap_pass_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *sock_map_rx;
		struct bpf_map *sock_map_tx;
		struct bpf_map *sock_map_msg;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *prog_skb_verdict;
		struct bpf_program *prog_skb_verdict_clone;
		struct bpf_program *prog_skb_parser;
	} progs;
	struct {
		struct bpf_link *prog_skb_verdict;
		struct bpf_link *prog_skb_verdict_clone;
		struct bpf_link *prog_skb_parser;
	} links;
	struct test_sockmap_pass_prog__bss {
		int clone_called;
	} *bss;

#ifdef __cplusplus
	static inline struct test_sockmap_pass_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_sockmap_pass_prog *open_and_load();
	static inline int load(struct test_sockmap_pass_prog *skel);
	static inline int attach(struct test_sockmap_pass_prog *skel);
	static inline void detach(struct test_sockmap_pass_prog *skel);
	static inline void destroy(struct test_sockmap_pass_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_sockmap_pass_prog__destroy(struct test_sockmap_pass_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sockmap_pass_prog__create_skeleton(struct test_sockmap_pass_prog *obj);

static inline struct test_sockmap_pass_prog *
test_sockmap_pass_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sockmap_pass_prog *obj;
	int err;

	obj = (struct test_sockmap_pass_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_sockmap_pass_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_sockmap_pass_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_sockmap_pass_prog *
test_sockmap_pass_prog__open(void)
{
	return test_sockmap_pass_prog__open_opts(NULL);
}

static inline int
test_sockmap_pass_prog__load(struct test_sockmap_pass_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sockmap_pass_prog *
test_sockmap_pass_prog__open_and_load(void)
{
	struct test_sockmap_pass_prog *obj;
	int err;

	obj = test_sockmap_pass_prog__open();
	if (!obj)
		return NULL;
	err = test_sockmap_pass_prog__load(obj);
	if (err) {
		test_sockmap_pass_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_sockmap_pass_prog__attach(struct test_sockmap_pass_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sockmap_pass_prog__detach(struct test_sockmap_pass_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_sockmap_pass_prog__elf_bytes(size_t *sz);

static inline int
test_sockmap_pass_prog__create_skeleton(struct test_sockmap_pass_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_sockmap_pass_prog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "sock_map_rx";
	map->map = &obj->maps.sock_map_rx;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "sock_map_tx";
	map->map = &obj->maps.sock_map_tx;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "sock_map_msg";
	map->map = &obj->maps.sock_map_msg;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "test_soc.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "prog_skb_verdict";
	s->progs[0].prog = &obj->progs.prog_skb_verdict;
	s->progs[0].link = &obj->links.prog_skb_verdict;

	s->progs[1].name = "prog_skb_verdict_clone";
	s->progs[1].prog = &obj->progs.prog_skb_verdict_clone;
	s->progs[1].link = &obj->links.prog_skb_verdict_clone;

	s->progs[2].name = "prog_skb_parser";
	s->progs[2].prog = &obj->progs.prog_skb_parser;
	s->progs[2].link = &obj->links.prog_skb_parser;

	s->data = test_sockmap_pass_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_sockmap_pass_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x60\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6b\x5f\
\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\x74\0\x73\
\x6b\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\x72\x73\x65\x72\0\
\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x74\x65\
\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x70\x61\x73\x73\x5f\x70\x72\x6f\
\x67\x2e\x63\0\x70\x72\x6f\x67\x5f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\
\0\x70\x72\x6f\x67\x5f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\x5f\x63\x6c\
\x6f\x6e\x65\0\x63\x6c\x6f\x6e\x65\x5f\x63\x61\x6c\x6c\x65\x64\0\x70\x72\x6f\
\x67\x5f\x73\x6b\x62\x5f\x70\x61\x72\x73\x65\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\x72\x78\0\x73\x6f\x63\x6b\x5f\x6d\
\x61\x70\x5f\x74\x78\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\x6d\x73\x67\0\x2e\
\x72\x65\x6c\x73\x6b\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\
\x72\x64\x69\x63\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\x04\0\xff\xf1\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x12\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x79\x12\0\0\x03\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x28\0\0\0\x90\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\x9d\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\xad\x11\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xb6\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x20\0\0\0\xc2\x11\0\0\x07\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\xce\
\x11\0\0\x07\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x20\xb4\0\0\0\0\0\0\x01\x95\0\0\0\
\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x10\0\0\0\0\0\x01\xb4\0\0\0\0\
\0\0\x01\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x06\0\0\0\
\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\x54\0\0\x04\x54\0\0\x03\x27\0\0\0\
\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x0f\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x14\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\
\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\
\0\0\0\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\x34\x0e\0\0\0\0\0\0\x08\0\0\0\x01\0\0\0\
\x40\x0e\0\0\0\0\0\0\x08\0\0\0\x01\0\0\0\x4c\x0e\0\0\0\0\0\0\x08\0\0\0\x01\0\0\
\0\0\x02\0\0\0\0\0\0\x0d\0\0\0\x59\x04\0\0\x22\0\0\0\xc0\0\0\0\x63\0\0\0\x0e\0\
\0\0\0\0\0\0\x67\0\0\0\x0e\0\0\0\x20\0\0\0\x70\0\0\0\x0e\0\0\0\x40\0\0\0\x75\0\
\0\0\x0e\0\0\0\x60\0\0\0\x83\0\0\0\x0e\0\0\0\x80\0\0\0\x8c\0\0\0\x0e\0\0\0\xa0\
\0\0\0\x99\0\0\0\x0e\0\0\0\xc0\0\0\0\xa2\0\0\0\x0e\0\0\0\xe0\0\0\0\xad\0\0\0\
\x0e\0\0\x01\0\0\0\0\xb6\0\0\0\x0e\0\0\x01\x20\0\0\0\xc6\0\0\0\x0e\0\0\x01\x40\
\0\0\0\xce\0\0\0\x0e\0\0\x01\x60\0\0\0\xd7\0\0\0\x10\0\0\x01\x80\0\0\0\xda\0\0\
\0\x0e\0\0\x02\x20\0\0\0\xdf\0\0\0\x0e\0\0\x02\x40\0\0\0\xea\0\0\0\x0e\0\0\x02\
\x60\0\0\0\xef\0\0\0\x0e\0\0\x02\x80\0\0\0\xf8\0\0\0\x0e\0\0\x02\xa0\0\0\x01\0\
\0\0\0\x0e\0\0\x02\xc0\0\0\x01\x07\0\0\0\x0e\0\0\x02\xe0\0\0\x01\x12\0\0\0\x0e\
\0\0\x03\0\0\0\x01\x1c\0\0\0\x11\0\0\x03\x20\0\0\x01\x27\0\0\0\x11\0\0\x03\xa0\
\0\0\x01\x31\0\0\0\x0e\0\0\x04\x20\0\0\x01\x3d\0\0\0\x0e\0\0\x04\x40\0\0\x01\
\x48\0\0\0\x0e\0\0\x04\x60\0\0\0\0\0\0\0\x12\0\0\x04\x80\0\0\x01\x52\0\0\0\x14\
\0\0\x04\xc0\0\0\x01\x59\0\0\0\x0e\0\0\x05\0\0\0\x01\x62\0\0\0\x0e\0\0\x05\x20\
\0\0\0\0\0\0\0\x16\0\0\x05\x40\0\0\x01\x6b\0\0\0\x0e\0\0\x05\x80\0\0\x01\x74\0\
\0\0\x18\0\0\x05\xa0\0\0\x01\x80\0\0\0\x14\0\0\x05\xc0\0\0\x01\x89\x08\0\0\0\0\
\0\0\x0f\0\0\x01\x8f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x0e\0\0\0\x04\0\0\0\x05\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x04\0\0\
\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x9c\0\0\0\x13\0\0\0\0\0\0\0\0\x02\
\0\0\0\0\0\0\x22\0\0\x01\xa6\x08\0\0\0\0\0\0\x15\0\0\x01\xac\x01\0\0\0\0\0\0\
\x08\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\xbf\0\0\0\x17\0\0\0\0\0\0\
\0\0\x02\0\0\0\0\0\0\x23\0\0\x01\xc2\x08\0\0\0\0\0\0\x19\0\0\x01\xc7\x01\0\0\0\
\0\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x01\xd5\0\0\0\x0c\0\0\
\x01\xd9\x0c\0\0\x01\0\0\0\x1a\0\0\x01\xea\x0c\0\0\x01\0\0\0\x1a\0\0\x02\x01\
\x0c\0\0\x01\0\0\0\x1a\0\0\x02\x11\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x02\x1e\
\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x04\
\0\0\0\x04\0\0\x02\x23\x0e\0\0\0\0\0\0\x20\0\0\0\x01\0\0\x02\x2c\x07\0\0\0\0\0\
\0\0\0\0\x02\x3a\x07\0\0\0\0\0\0\0\0\0\x02\xe9\x0f\0\0\x01\0\0\0\x04\0\0\0\x1e\
\0\0\0\0\0\0\0\x04\0\0\x02\xee\x0f\0\0\x01\0\0\0\x04\0\0\0\x21\0\0\0\0\0\0\0\
\x04\0\0\x02\xf6\x0f\0\0\x03\0\0\0\x60\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x0a\0\
\0\0\x20\0\0\0\x20\0\0\0\x0b\0\0\0\x40\0\0\0\x20\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\
\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\x72\x78\0\x73\x6f\x63\x6b\x5f\
\x6d\x61\x70\x5f\x74\x78\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\x6d\x73\x67\0\
\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\
\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\
\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\
\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\
\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\
\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\
\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\
\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\
\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\
\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\
\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\
\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\
\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\
\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x66\
\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\
\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x70\
\x72\x6f\x67\x5f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\0\x70\x72\x6f\x67\
\x5f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\x5f\x63\x6c\x6f\x6e\x65\0\x70\
\x72\x6f\x67\x5f\x73\x6b\x62\x5f\x70\x61\x72\x73\x65\x72\0\x63\x6c\x6f\x6e\x65\
\x5f\x63\x61\x6c\x6c\x65\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x37\x34\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x37\x34\x2e\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\
\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x70\x61\x73\x73\x5f\x70\x72\x6f\x67\x2e\x63\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x53\x4b\x5f\x50\x41\x53\x53\x3b\0\x09\x63\x6c\
\x6f\x6e\x65\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x31\x3b\0\x2e\x62\x73\x73\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x73\x6b\x5f\x73\x6b\x62\
\x2f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\x74\0\x73\x6b\x5f\x73\
\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\x72\x73\x65\x72\0\0\0\0\0\0\
\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x54\0\0\0\x80\0\0\0\
\0\0\0\0\x08\0\0\x02\xfc\0\0\0\x02\0\0\0\0\0\0\0\x1b\0\0\0\x10\0\0\0\x1c\0\0\
\x03\x12\0\0\0\x01\0\0\0\0\0\0\0\x1d\0\0\0\x10\0\0\x02\xfc\0\0\0\x03\0\0\0\0\0\
\0\x02\x43\0\0\x02\xc5\0\0\x74\x02\0\0\0\x10\0\0\x02\x43\0\0\x02\xd6\0\0\x94\
\x0f\0\0\0\x28\0\0\x02\x43\0\0\x02\xc5\0\0\x98\x02\0\0\x03\x12\0\0\0\x01\0\0\0\
\0\0\0\x02\x43\0\0\x02\xc5\0\0\xb0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\x01\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x48\0\0\0\0\0\
\0\x01\x20\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x68\0\0\0\0\0\0\0\x38\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\0\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\x49\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\xb8\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\xdb\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x18\0\0\0\0\0\
\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xf5\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x28\0\0\0\0\0\0\x07\x93\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xc0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_sockmap_pass_prog *test_sockmap_pass_prog::open(const struct bpf_object_open_opts *opts) { return test_sockmap_pass_prog__open_opts(opts); }
struct test_sockmap_pass_prog *test_sockmap_pass_prog::open_and_load() { return test_sockmap_pass_prog__open_and_load(); }
int test_sockmap_pass_prog::load(struct test_sockmap_pass_prog *skel) { return test_sockmap_pass_prog__load(skel); }
int test_sockmap_pass_prog::attach(struct test_sockmap_pass_prog *skel) { return test_sockmap_pass_prog__attach(skel); }
void test_sockmap_pass_prog::detach(struct test_sockmap_pass_prog *skel) { test_sockmap_pass_prog__detach(skel); }
void test_sockmap_pass_prog::destroy(struct test_sockmap_pass_prog *skel) { test_sockmap_pass_prog__destroy(skel); }
const void *test_sockmap_pass_prog::elf_bytes(size_t *sz) { return test_sockmap_pass_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_sockmap_pass_prog__assert(struct test_sockmap_pass_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->clone_called) == 4, "unexpected size of 'clone_called'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SOCKMAP_PASS_PROG_SKEL_H__ */
