/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PRO_EPILOGUE_SKEL_H__
#define __PRO_EPILOGUE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct pro_epilogue {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *pro_epilogue;
	} maps;
	struct {
		struct pro_epilogue__pro_epilogue__bpf_testmod_st_ops {
			struct bpf_program *test_prologue;
			struct bpf_program *test_epilogue;
			struct bpf_program *test_pro_epilogue;
			char __unsupported_3[8];
		} *pro_epilogue;
	} struct_ops;
	struct {
		struct bpf_program *test_prologue;
		struct bpf_program *test_epilogue;
		struct bpf_program *test_pro_epilogue;
		struct bpf_program *syscall_prologue;
		struct bpf_program *syscall_epilogue;
		struct bpf_program *syscall_pro_epilogue;
	} progs;
	struct {
		struct bpf_link *test_prologue;
		struct bpf_link *test_epilogue;
		struct bpf_link *test_pro_epilogue;
		struct bpf_link *syscall_prologue;
		struct bpf_link *syscall_epilogue;
		struct bpf_link *syscall_pro_epilogue;
		struct bpf_link *pro_epilogue;
	} links;

#ifdef __cplusplus
	static inline struct pro_epilogue *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct pro_epilogue *open_and_load();
	static inline int load(struct pro_epilogue *skel);
	static inline int attach(struct pro_epilogue *skel);
	static inline void detach(struct pro_epilogue *skel);
	static inline void destroy(struct pro_epilogue *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
pro_epilogue__destroy(struct pro_epilogue *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
pro_epilogue__create_skeleton(struct pro_epilogue *obj);

static inline struct pro_epilogue *
pro_epilogue__open_opts(const struct bpf_object_open_opts *opts)
{
	struct pro_epilogue *obj;
	int err;

	obj = (struct pro_epilogue *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = pro_epilogue__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.pro_epilogue = (__typeof__(obj->struct_ops.pro_epilogue))
		bpf_map__initial_value(obj->maps.pro_epilogue, NULL);

	return obj;
err_out:
	pro_epilogue__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct pro_epilogue *
pro_epilogue__open(void)
{
	return pro_epilogue__open_opts(NULL);
}

static inline int
pro_epilogue__load(struct pro_epilogue *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct pro_epilogue *
pro_epilogue__open_and_load(void)
{
	struct pro_epilogue *obj;
	int err;

	obj = pro_epilogue__open();
	if (!obj)
		return NULL;
	err = pro_epilogue__load(obj);
	if (err) {
		pro_epilogue__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
pro_epilogue__attach(struct pro_epilogue *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
pro_epilogue__detach(struct pro_epilogue *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *pro_epilogue__elf_bytes(size_t *sz);

static inline int
pro_epilogue__create_skeleton(struct pro_epilogue *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "pro_epilogue";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "pro_epilogue";
	map->map = &obj->maps.pro_epilogue;
	map->link = &obj->links.pro_epilogue;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_prologue";
	s->progs[0].prog = &obj->progs.test_prologue;
	s->progs[0].link = &obj->links.test_prologue;

	s->progs[1].name = "test_epilogue";
	s->progs[1].prog = &obj->progs.test_epilogue;
	s->progs[1].link = &obj->links.test_epilogue;

	s->progs[2].name = "test_pro_epilogue";
	s->progs[2].prog = &obj->progs.test_pro_epilogue;
	s->progs[2].link = &obj->links.test_pro_epilogue;

	s->progs[3].name = "syscall_prologue";
	s->progs[3].prog = &obj->progs.syscall_prologue;
	s->progs[3].link = &obj->links.syscall_prologue;

	s->progs[4].name = "syscall_epilogue";
	s->progs[4].prog = &obj->progs.syscall_epilogue;
	s->progs[4].link = &obj->links.syscall_epilogue;

	s->progs[5].name = "syscall_pro_epilogue";
	s->progs[5].prog = &obj->progs.syscall_pro_epilogue;
	s->progs[5].link = &obj->links.syscall_pro_epilogue;

	s->data = pro_epilogue__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *pro_epilogue__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x58\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x12\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x70\
\x72\x6f\x6c\x6f\x67\x75\x65\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\
\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x73\x74\x72\x75\x63\x74\x5f\
\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\
\x75\x65\0\x73\x79\x73\x63\x61\x6c\x6c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x73\
\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x70\x72\x6f\x5f\x65\
\x70\x69\x6c\x6f\x67\x75\x65\x2e\x63\0\x73\x75\x62\x70\x72\x6f\x67\0\x5f\x5f\
\x6b\x66\x75\x6e\x63\x5f\x62\x74\x66\x5f\x72\x6f\x6f\x74\0\x62\x70\x66\x5f\x6b\
\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x69\x6e\x63\x31\x30\0\x74\x65\
\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\x74\x65\x73\x74\x5f\x65\x70\x69\
\x6c\x6f\x67\x75\x65\0\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\
\x67\x75\x65\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\
\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\
\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\
\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\
\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\
\x73\x79\x73\x63\x61\x6c\x6c\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\
\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\
\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x2e\
\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x73\x74\x72\x75\x63\x74\x5f\
\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\x2e\x72\
\x65\x6c\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x65\
\x70\x69\x6c\x6f\x67\x75\x65\0\x2e\x72\x65\x6c\x73\x74\x72\x75\x63\x74\x5f\x6f\
\x70\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\
\x65\0\x2e\x72\x65\x6c\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x72\x65\x6c\x2e\x73\
\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x87\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x96\x02\0\0\x03\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0\x20\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9e\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\xaf\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc6\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\0\0\0\xd4\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\xe2\x12\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\xf4\x12\0\0\x07\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x30\0\0\x01\x05\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x24\x12\0\0\x07\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x30\0\0\x01\x35\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x54\x12\0\0\x07\0\0\0\0\0\0\0\x60\0\0\0\0\
\0\0\0\x30\0\0\x01\x69\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x8c\
\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\x95\x11\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\xb7\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\
\0\0\0\0\0\0\0\x79\x01\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x7b\x10\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x02\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\
\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\
\x01\0\0\0\0\0\x02\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x02\x95\0\0\
\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\
\x10\0\0\xff\xff\xff\xf8\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xb7\x10\
\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\
\xff\xf8\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\
\xa1\xff\xf8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\x85\x01\0\
\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x09\0\0\0\
\x0a\0\0\0\0\0\0\0\x10\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\
\x0a\0\0\0\0\0\0\0\x10\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\
\x0a\0\0\0\0\0\0\0\x10\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\
\x0a\0\0\0\0\0\0\0\x20\0\0\0\x0e\0\0\0\x0a\0\0\0\0\0\0\0\x50\0\0\0\x10\0\0\0\
\x0a\0\0\0\0\0\0\0\x80\0\0\0\x12\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x02\
\0\0\0\0\0\0\0\x08\0\0\0\x0b\0\0\0\x02\0\0\0\0\0\0\0\x10\0\0\0\x0c\0\0\0\x02\
\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x05\x70\0\0\x05\x70\0\0\x0c\x28\0\0\0\0\
\x0d\0\0\0\0\0\0\0\0\0\0\x01\x0c\0\0\x01\0\0\0\x01\0\0\0\0\x0d\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\0\x05\0\0\0\x12\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x02\0\
\0\0\0\0\0\x06\0\0\0\x16\x04\0\0\x01\0\0\0\x08\0\0\0\x22\0\0\0\x07\0\0\0\0\0\0\
\0\x24\x08\0\0\0\0\0\0\x08\0\0\0\x28\x08\0\0\0\0\0\0\x09\0\0\0\x2e\x01\0\0\0\0\
\0\0\x08\0\0\0\x40\0\0\0\x41\x0c\0\0\x02\0\0\0\x03\0\0\0\0\x0d\0\0\x01\0\0\0\
\x04\0\0\0\x58\0\0\0\x05\0\0\0\x5d\x0c\0\0\0\0\0\0\x0b\0\0\0\0\x0d\0\0\0\0\0\0\
\x04\0\0\0\x65\x0c\0\0\x01\0\0\0\x0d\0\0\0\x73\x11\0\0\0\0\0\0\x0e\xff\xff\xff\
\xff\0\0\0\x8f\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\0\xc4\x11\0\0\0\0\0\0\
\x0e\xff\xff\xff\xff\0\0\0\xf9\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\x01\x24\
\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\x01\x59\x11\0\0\0\0\0\0\x0e\xff\xff\
\xff\xff\0\0\x01\x8e\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\x01\xb6\x11\0\0\0\
\0\0\0\x0e\xff\xff\xff\xff\0\0\x01\xeb\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\
\x02\x13\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\x02\x3d\x11\0\0\0\0\0\0\x0e\
\xff\xff\xff\xff\0\0\x02\x62\x0c\0\0\x01\0\0\0\x0d\0\0\0\x73\x11\0\0\0\0\0\0\
\x1a\xff\xff\xff\xff\0\0\x02\x70\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x02\
\xa7\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x02\xdd\x11\0\0\0\0\0\0\x1a\xff\
\xff\xff\xff\0\0\x03\x06\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x03\x3c\x11\0\
\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x03\x65\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\
\0\0\x03\x8f\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x03\xc6\x11\0\0\0\0\0\0\
\x1a\xff\xff\xff\xff\0\0\x03\xfc\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x04\
\x32\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x04\x5f\x11\0\0\0\0\0\0\x1a\xff\
\xff\xff\xff\0\0\x04\x96\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x04\xc0\x11\0\
\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x04\xea\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\
\0\0\x05\x11\x0c\0\0\x01\0\0\0\x0d\0\0\0\x73\x11\0\0\0\0\0\0\x2a\xff\xff\xff\
\xff\0\0\x05\x23\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x05\x59\x11\0\0\0\0\0\
\0\x2a\xff\xff\xff\xff\0\0\x05\x8f\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x05\
\xbb\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x05\xf1\x11\0\0\0\0\0\0\x2a\xff\
\xff\xff\xff\0\0\x06\x28\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x06\x5e\x11\0\
\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x06\x87\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\
\0\0\x06\xbd\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x06\xe6\x11\0\0\0\0\0\0\
\x2a\xff\xff\xff\xff\0\0\x07\x10\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x07\
\x48\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x07\x7f\x11\0\0\0\0\0\0\x2a\xff\
\xff\xff\xff\0\0\x07\xb6\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x07\xe4\x11\0\
\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x08\x1b\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\
\0\0\x08\x45\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x08\x6f\x11\0\0\0\0\0\0\
\x2a\xff\xff\xff\xff\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\
\0\x08\x96\0\0\0\x3e\0\0\x08\x9a\x0c\0\0\x01\0\0\0\x3f\0\0\x08\xab\x11\0\0\0\0\
\0\0\x40\xff\xff\xff\xff\0\0\x08\xc4\x0c\0\0\x02\0\0\0\x03\0\0\x08\xe3\x0c\0\0\
\x01\0\0\0\x3f\0\0\x08\xf4\x11\0\0\0\0\0\0\x43\xff\xff\xff\xff\0\0\x09\x0e\x0c\
\0\0\x02\0\0\0\x03\0\0\x09\x2d\x0c\0\0\x01\0\0\0\x3f\0\0\x09\x42\x11\0\0\0\0\0\
\0\x46\xff\xff\xff\xff\0\0\x09\x5c\x0c\0\0\x02\0\0\0\x03\0\0\x09\x7f\x01\0\0\0\
\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x4b\0\0\0\x04\
\0\0\x09\x84\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x09\x98\x0e\0\0\0\0\0\0\x4a\0\0\
\0\x01\0\0\x09\xa1\x04\0\0\x04\0\0\0\x20\0\0\0\x65\0\0\0\x4e\0\0\0\0\0\0\x02\
\x62\0\0\0\x4e\0\0\0\x40\0\0\x05\x11\0\0\0\x4e\0\0\0\x80\0\0\x09\xb4\0\0\0\x4f\
\0\0\0\xc0\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\0\0\0\x51\0\0\x09\xba\
\x0e\0\0\0\0\0\0\x4d\0\0\0\x01\0\0\x09\xc7\x07\0\0\0\0\0\0\0\0\0\x0b\xab\x0f\0\
\0\x01\0\0\0\x04\0\0\0\x4c\0\0\0\0\0\0\0\x04\0\0\x0b\xb3\x0f\0\0\x01\0\0\0\x20\
\0\0\0\x50\0\0\0\0\0\0\0\x20\0\0\x0b\xc4\x0f\0\0\x04\0\0\0\0\0\0\0\x0a\0\0\0\0\
\0\0\0\0\0\0\0\x42\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\
\0\0\0\0\0\x5f\x5f\x6b\x66\x75\x6e\x63\x5f\x62\x74\x66\x5f\x72\x6f\x6f\x74\0\
\x69\x6e\x74\0\x73\x74\x5f\x6f\x70\x73\x5f\x61\x72\x67\x73\0\x61\0\x75\x36\x34\
\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\
\x70\x73\x5f\x69\x6e\x63\x31\x30\0\x61\x72\x67\x73\0\x73\x75\x62\x70\x72\x6f\
\x67\0\x74\x65\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\
\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x30\x3d\x30\x3a\x20\x72\x36\
\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x31\x3d\x31\x3a\x20\x72\x37\x20\x3d\x20\x2a\x28\
\x75\x36\x34\x20\x2a\x29\x28\x72\x36\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\
\x64\x3d\x32\x3d\x32\x3a\x20\x72\x37\x20\x2b\x3d\x20\x31\x30\x30\x30\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\
\x6c\x61\x74\x65\x64\x3d\x33\x3d\x33\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\
\x28\x72\x36\x20\x2b\x30\x29\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\
\x3d\x34\x3d\x34\x3a\x20\x72\x31\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\
\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x35\x3d\x35\x3a\
\x20\x72\x36\x20\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x36\x3d\x36\
\x3a\x20\x63\x61\x6c\x6c\x20\x6b\x65\x72\x6e\x65\x6c\x2d\x66\x75\x6e\x63\x74\
\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x37\x3d\x37\x3a\x20\x72\x31\x20\
\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x38\x3d\x38\x3a\x20\x63\x61\
\x6c\x6c\x20\x70\x63\x2b\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x39\x3d\x39\x3a\
\x20\x65\x78\x69\x74\0\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x30\x3d\x30\x3a\x20\x2a\x28\x75\x36\x34\
\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\x20\x3d\x20\x72\x31\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\
\x61\x74\x65\x64\x3d\x31\x31\x3d\x31\x3a\x20\x72\x31\x20\x3d\x20\x2a\x28\x75\
\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\
\x3d\x31\x32\x3d\x32\x3a\x20\x72\x36\x20\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\
\x65\x64\x3d\x31\x33\x3d\x33\x3a\x20\x63\x61\x6c\x6c\x20\x6b\x65\x72\x6e\x65\
\x6c\x2d\x66\x75\x6e\x63\x74\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\
\x34\x3d\x34\x3a\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\
\x3d\x31\x35\x3d\x35\x3a\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\
\x74\x65\x64\x3d\x31\x36\x3d\x36\x3a\x20\x72\x31\x20\x3d\x20\x2a\x28\x75\x36\
\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\
\x3d\x31\x37\x3d\x37\x3a\x20\x72\x31\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\
\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x38\x3d\
\x38\x3a\x20\x72\x36\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\
\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x39\x3d\x39\x3a\x20\x72\
\x36\x20\x2b\x3d\x20\x31\x30\x30\x30\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\
\x30\x3d\x31\x30\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\
\x30\x29\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x31\x3d\x31\
\x31\x3a\x20\x72\x30\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\
\x32\x3d\x31\x32\x3a\x20\x72\x30\x20\x2a\x3d\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\
\x64\x3d\x32\x33\x3d\x31\x33\x3a\x20\x65\x78\x69\x74\0\x74\x65\x73\x74\x5f\x70\
\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\
\x32\x34\x3d\x30\x3a\x20\x72\x36\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\
\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x35\x3d\x31\
\x3a\x20\x72\x37\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x36\x20\
\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x36\x3d\x32\x3a\x20\x72\x37\
\x20\x2b\x3d\x20\x31\x30\x30\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x37\x3d\
\x33\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x36\x20\x2b\x30\x29\x20\
\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x38\x3d\x34\x3a\x20\x2a\
\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\x20\x3d\x20\x72\
\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x39\x3d\x35\x3a\x20\x72\x31\x20\x3d\
\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\
\x61\x74\x65\x64\x3d\x33\x30\x3d\x36\x3a\x20\x72\x36\x20\x3d\x20\x72\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x33\x31\x3d\x37\x3a\x20\x63\x61\x6c\x6c\x20\x6b\
\x65\x72\x6e\x65\x6c\x2d\x66\x75\x6e\x63\x74\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\
\x65\x64\x3d\x33\x32\x3d\x38\x3a\x20\x72\x31\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\
\x61\x74\x65\x64\x3d\x33\x33\x3d\x39\x3a\x20\x63\x61\x6c\x6c\x20\x70\x63\x2b\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x78\x6c\x61\x74\x65\x64\x3d\x33\x34\x3d\x31\x30\x3a\x20\x72\x31\x20\x3d\
\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\
\x6c\x61\x74\x65\x64\x3d\x33\x35\x3d\x31\x31\x3a\x20\x72\x31\x20\x3d\x20\x2a\
\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\
\x65\x64\x3d\x33\x36\x3d\x31\x32\x3a\x20\x72\x36\x20\x3d\x20\x2a\x28\x75\x36\
\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\
\x33\x37\x3d\x31\x33\x3a\x20\x72\x36\x20\x2b\x3d\x20\x31\x30\x30\x30\x30\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x33\x38\x3d\x31\x34\x3a\x20\x2a\x28\x75\x36\x34\
\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\
\x74\x65\x64\x3d\x33\x39\x3d\x31\x35\x3a\x20\x72\x30\x20\x3d\x20\x72\x36\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x34\x30\x3d\x31\x36\x3a\x20\x72\x30\x20\x2a\x3d\
\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x31\x3d\x31\x37\x3a\x20\x65\x78\
\x69\x74\0\x63\x74\x78\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\x70\x72\x6f\x6c\x6f\
\x67\x75\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\
\x76\x61\x6c\x3d\x31\x30\x31\x31\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\
\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\
\x73\x79\x73\x63\x61\x6c\x6c\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x32\x30\
\x30\x32\x32\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\
\x5f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x73\x79\x73\x63\x61\
\x6c\x6c\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x32\x32\x30\
\x32\x32\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\
\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x74\x65\x73\x74\
\x6d\x6f\x64\x5f\x73\x74\x5f\x6f\x70\x73\0\x6f\x77\x6e\x65\x72\0\x70\x72\x6f\
\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x6d\x6f\x64\x75\x6c\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x37\x34\x2e\x65\x6c\
\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x37\x34\x2e\
\x65\x6c\x31\x30\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\
\x2e\x63\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\
\x5f\x69\x6e\x63\x31\x30\x28\x4e\x55\x4c\x4c\x29\x3b\0\x7d\0\x09\x61\x72\x67\
\x73\x2d\x3e\x61\x20\x2b\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x61\
\x72\x67\x73\x2d\x3e\x61\x3b\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\
\x65\x20\x28\0\x69\x6e\x74\x20\x73\x79\x73\x63\x61\x6c\x6c\x5f\x70\x72\x6f\x6c\
\x6f\x67\x75\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x73\x74\x72\
\x75\x63\x74\x20\x73\x74\x5f\x6f\x70\x73\x5f\x61\x72\x67\x73\x20\x61\x72\x67\
\x73\x20\x3d\x20\x7b\x7d\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\x70\
\x72\x6f\x6c\x6f\x67\x75\x65\x28\x26\x61\x72\x67\x73\x29\x3b\0\x69\x6e\x74\x20\
\x73\x79\x73\x63\x61\x6c\x6c\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x28\x76\x6f\
\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\
\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\
\x65\x70\x69\x6c\x6f\x67\x75\x65\x28\x26\x61\x72\x67\x73\x29\x3b\0\x69\x6e\x74\
\x20\x73\x79\x73\x63\x61\x6c\x6c\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\
\x75\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\
\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x28\x26\
\x61\x72\x67\x73\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\
\x74\x65\x78\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\
\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\
\x2f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x73\x74\x72\x75\x63\
\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\
\x6f\x67\x75\x65\0\x73\x79\x73\x63\x61\x6c\x6c\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\
\0\0\0\0\x6c\0\0\0\x6c\0\0\x01\x5c\0\0\x01\xc8\0\0\0\0\0\0\0\x08\0\0\x0b\xcb\0\
\0\0\x02\0\0\0\0\0\0\0\x02\0\0\0\x18\0\0\0\x0c\0\0\x0b\xd1\0\0\0\x01\0\0\0\0\0\
\0\0\x0e\0\0\x0b\xea\0\0\0\x01\0\0\0\0\0\0\0\x1a\0\0\x0c\x03\0\0\0\x01\0\0\0\0\
\0\0\0\x2a\0\0\x0c\x20\0\0\0\x03\0\0\0\0\0\0\0\x40\0\0\0\x30\0\0\0\x43\0\0\0\
\x60\0\0\0\x46\0\0\0\x10\0\0\x0b\xcb\0\0\0\x04\0\0\0\0\0\0\x09\xce\0\0\x0a\x46\
\0\0\x38\x02\0\0\0\x10\0\0\x09\xce\0\0\x0a\x65\0\0\x3c\x01\0\0\0\x18\0\0\x09\
\xce\0\0\x0a\x67\0\0\x4c\x0a\0\0\0\x30\0\0\x09\xce\0\0\x0a\x76\0\0\x50\x02\0\0\
\x0b\xd1\0\0\0\x01\0\0\0\0\0\0\x09\xce\0\0\x0a\x87\0\0\x9c\x02\0\0\x0b\xea\0\0\
\0\x01\0\0\0\0\0\0\x09\xce\0\0\x0a\x87\0\x01\x20\x02\0\0\x0c\x03\0\0\0\x01\0\0\
\0\0\0\0\x09\xce\0\0\x0a\x87\0\x01\xb8\x02\0\0\x0c\x20\0\0\0\x0c\0\0\0\0\0\0\
\x09\xce\0\0\x0a\x97\0\x01\xf0\0\0\0\0\x08\0\0\x09\xce\0\0\x0a\xb7\0\x01\xf8\
\x15\0\0\0\x20\0\0\x09\xce\0\0\x0a\xd6\0\x02\0\x09\0\0\0\x28\0\0\x09\xce\0\0\
\x0a\xd6\0\x02\0\x02\0\0\0\x30\0\0\x09\xce\0\0\x0b\x05\0\x02\x14\0\0\0\0\x38\0\
\0\x09\xce\0\0\x0a\xb7\0\x02\x1c\x15\0\0\0\x50\0\0\x09\xce\0\0\x0b\x25\0\x02\
\x24\x09\0\0\0\x58\0\0\x09\xce\0\0\x0b\x25\0\x02\x24\x02\0\0\0\x60\0\0\x09\xce\
\0\0\x0b\x54\0\x02\x38\0\0\0\0\x68\0\0\x09\xce\0\0\x0a\xb7\0\x02\x40\x15\0\0\0\
\x80\0\0\x09\xce\0\0\x0b\x78\0\x02\x48\x09\0\0\0\x88\0\0\x09\xce\0\0\x0b\x78\0\
\x02\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\x36\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x78\0\0\0\0\0\0\x01\xf8\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x70\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\xa8\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\xd8\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x49\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x08\0\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x38\0\0\0\0\0\0\0\x90\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xc8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x05\xd0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\x01\xa2\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x05\xf0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\x01\xac\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\x01\xc9\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\
\x20\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\x01\xe6\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x40\0\
\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x02\x07\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x60\0\0\0\
\0\0\0\0\x30\0\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\
\x13\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x90\0\0\0\0\0\
\0\0\x30\0\0\0\x02\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x28\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xc0\0\0\0\0\0\0\x11\
\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x2d\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x70\0\0\0\0\0\0\x01\xe8\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct pro_epilogue *pro_epilogue::open(const struct bpf_object_open_opts *opts) { return pro_epilogue__open_opts(opts); }
struct pro_epilogue *pro_epilogue::open_and_load() { return pro_epilogue__open_and_load(); }
int pro_epilogue::load(struct pro_epilogue *skel) { return pro_epilogue__load(skel); }
int pro_epilogue::attach(struct pro_epilogue *skel) { return pro_epilogue__attach(skel); }
void pro_epilogue::detach(struct pro_epilogue *skel) { pro_epilogue__detach(skel); }
void pro_epilogue::destroy(struct pro_epilogue *skel) { pro_epilogue__destroy(skel); }
const void *pro_epilogue::elf_bytes(size_t *sz) { return pro_epilogue__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
pro_epilogue__assert(struct pro_epilogue *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PRO_EPILOGUE_SKEL_H__ */
